package com.securitycontrol.common.log.enums;

/**
 * @author HeiZi
 */

public enum OperationType {

    /**
     * 注释
     */
    ADD_SYS("增加系统数据"),
    UPDATE_SYS("修改系统数据"),
    DELETE_SYS("删除系统数据"),
    QUERY_SYS("查询系统数据"),
    RESET_USER_PWD("重置系统用户密码"),
    COPY_LOG("备份日志"),
    RETURN_LOG("恢复日志"),
    ERR_SYS("错误日志"),
    EXCEEDS_ACCESS("越权访问"),
    USER_LOGIN("用户登录"),
    USER_LOGOUT("用户退出"),
    WARNING_LOG("告警日志"),
    SESSION_TIMEOUT("会话超时"),
    CONNECT_TIMEOUT("链接超时"),

    /**
     * 业务数据
     */
    QUERY_BUSINESS("查询业务数据"),
    ADD_BUSINESS("增加业务数据"),
    DELETE_BUSINESS("删除业务数据"),
    UPDATE_BUSINESS("修改业务数据"),
    EXPORT_BUSINESS("导出业务数据"),
    IMPORT_BUSINESS("导入业务数据"),
    DOWNLOAD_BUSINESS("下载excel"),

    START_PROJECT("系统启动")

    ;

    private final String info;

    OperationType(String info) {
        this.info = info;
    }


    public String getInfo() {
        return info;
    }
}
